;****************************************************************************
; Pega una lnea horizontal en la pantalla.
;
; Necesita:
;   AL    = color del punto
;   ES:DI = inicio de la lnea (posicin superior izquierda)
;   CX    = cantidad de puntos en la lnea
;         = 1..64000
;
; Escribe:
;   ES:DI
;****************************************************************************

  LABEL MMV19_PEGA_LINEA_HORIZONTAL NEAR
  PEGA_LINEA_HORIZONTAL PROC NEAR
    PUSH DI
    PUSH CX

    REP STOSB

    POP CX
    POP DI
    RET
  PEGA_LINEA_HORIZONTAL ENDP

;****************************************************************************
; Pega una lnea vertical en la pantalla.
;
; Necesita:
;   AL    = color del punto
;   ES:DI = inicio de la lnea (posicin superior)
;   CX    = cantidad de puntos en la lnea
;
; Escribe:
;   ES:DI
;****************************************************************************

  LABEL MMV19_PEGA_LINEA_VERTICAL NEAR
  PEGA_LINEA_VERTICAL PROC NEAR
    PUSH DI
    PUSH CX

  PLV_REPITE:

;----------------------------------------------------------------------------
; Pega un punto y salta a la siguiente lnea en la pantalla.
    STOSB
    ADD DI,ANCHO_PANTALLA-1

    LOOP PLV_REPITE

    POP CX
    POP DI
    RET
  PEGA_LINEA_VERTICAL ENDP

