;****************************************************************************
; MODULO PARA MODO DE VIDEO 19
;
; PRUEBA 1 - Cambia el modo de video a 19.
;****************************************************************************

;****************************************************************************
; Define los valores.
;****************************************************************************

  PUBLIC MMV19_PONE_MODO

  INTERRUPCION_VIDEO = 10H
  FUNCION_PONE_MODO  = 00H
  MODO               = 19

CAMINO SEGMENT PUBLIC
  ASSUME CS:CAMINO,DS:CAMINO,SS:CAMINO,ES:CAMINO

;****************************************************************************
; Pone el modo de video 19. Este modo tiene un rea de 320 * 200, y 256
; colores.
;****************************************************************************

  LABEL MMV19_PONE_MODO NEAR

  PONE_MODO PROC NEAR
    MOV AH,FUNCION_PONE_MODO
    MOV AL,MODO
    INT INTERRUPCION_VIDEO

    RET
  PONE_MODO ENDP

CAMINO ENDS

END